module Current_Adjust(
						En,
						Reset,
						Current_Adjust_Select,
						Current_Data,
						Current_Set,
						Current_Adjust_Out
						);
input  En;
input  Reset;
input  Current_Adjust_Select;
input  [11:0] Current_Data;
input  [11:0] Current_Set;
output Current_Adjust_Out;

reg Current_Adjust_Out;

always @(En or Reset or Current_Adjust_Select or Current_Data or Current_Set)
begin
  if((En == 1'b1) || (Reset == 1'b1) ||(Current_Adjust_Select == 1'b0))
	Current_Adjust_Out <= 1'b0;
  else
  begin
    if(Current_Data == Current_Set)
      Current_Adjust_Out <= 1'b0;
    else
      Current_Adjust_Out <= 1'b1;   
  end
end

endmodule
